summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorBrian Evans <grknight@gentoo.org>2015-12-31 13:31:11 -0500
committerBrian Evans <grknight@gentoo.org>2015-12-31 13:31:11 -0500
commit79c8e1081470024db9698ddd4a78e62ef0a2e487 (patch)
tree0bc729129a65b9ff4045f636f973cbe18a429ccd
parentmysql-multilib-r1.eclass: Add missing REQUIRED_USE which caused a block on ~a... (diff)
downloadgentoo-79c8e1081470024db9698ddd4a78e62ef0a2e487.tar.gz
gentoo-79c8e1081470024db9698ddd4a78e62ef0a2e487.tar.bz2
gentoo-79c8e1081470024db9698ddd4a78e62ef0a2e487.zip
virtual/mysql: Revbump to add PDEPEND wrt bug 556432
Moved virtual/libmysqlclient to PDEPEND to fix new installs Portage sometimes would place the dependencies out of order and this is an attempt to fix it so both virtuals can be satisfied by the same package. Package-Manager: portage-2.2.26
-rw-r--r--virtual/mysql/mysql-5.6-r7.ebuild41
1 files changed, 41 insertions, 0 deletions
diff --git a/virtual/mysql/mysql-5.6-r7.ebuild b/virtual/mysql/mysql-5.6-r7.ebuild
new file mode 100644
index 00000000000..c7e93721e03
--- /dev/null
+++ b/virtual/mysql/mysql-5.6-r7.ebuild
@@ -0,0 +1,41 @@
+# Copyright 1999-2015 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI="5"
+
+inherit multilib-build
+
+DESCRIPTION="Virtual for MySQL database server"
+HOMEPAGE=""
+SRC_URI=""
+
+LICENSE=""
+SLOT="0/18"
+KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~sparc-fbsd ~x86-fbsd ~x86-freebsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x64-solaris ~x86-solaris"
+IUSE="embedded static static-libs"
+
+DEPEND=""
+PDEPEND="virtual/libmysqlclient[static-libs?,${MULTILIB_USEDEP}]"
+RDEPEND="
+ embedded? (
+ || (
+ =dev-db/mariadb-10.1*[client-libs(+),embedded,static=]
+ =dev-db/mariadb-10.0*[client-libs(+),embedded,static=]
+ =dev-db/mysql-${PV}*[client-libs(+),embedded,static=]
+ =dev-db/percona-server-${PV}*[client-libs(+),embedded,static=]
+ =dev-db/mariadb-galera-10.0*[client-libs(+),embedded,static=]
+ =dev-db/mysql-cluster-7.3*[client-libs(+),embedded,static=]
+ )
+ )
+ !embedded? (
+ || (
+ =dev-db/mariadb-10.1*[-embedded,static=]
+ =dev-db/mariadb-10.0*[-embedded,static=]
+ =dev-db/mysql-${PV}*[-embedded,static=]
+ =dev-db/percona-server-${PV}*[-embedded,static=]
+ =dev-db/mariadb-galera-10.0*[-embedded,static=]
+ =dev-db/mysql-cluster-7.3*[-embedded,static=]
+ )
+ )
+"